Subject: bug#19616: [Bug-tar] dist tarball contains hardlinks

From: Dimitrios Apostolou <[email-masked]>
Date: Fri, 23 Jan 2015 15:45:57 +0100 (CET)

On Mon, 19 Jan 2015, Joerg Schilling wrote:
> Dimitrios Apostolou <[email-masked]> wrote:
>
>> On Fri, 16 Jan 2015, Paul Eggert wrote:
>>
>>> Dimitrios Apostolou wrote:
>>>>  Why is such behaviour desirable?
>>>
>>> It's more logical, since it causes tar to behave as if the symlink were not
>>> there, and the pointed-to file was there instead.
>>
>> But when the tarball is extracted, two files with same inode are created,
>> which is kind of unexpected behaviour - at least for me - after creating
>
> The problem is not the tarball itself but the fact that someone called
>
> 	tar ch ...
>
> This is not the right way to go for collecting files for a distribution.
>
> In former times, I distributed symlinks with my distro tarballs but now I
> include shell scripts that create the symlinks if needed and on platforms that
> do not support symlinks, these shell scripts automatically try to create
> hardlinks.
>
> Maybe you should contact the respobsible person for your distro tarball.

Thank you Joerg. If so then it is an issue that must be fixed in automake, 
which is the reason I cross-posted to both projects, because I am not sure 
which one should be changed!

Dimitris